import dayjs from 'dayjs'

const filters={   
    formatDate:(dt,fmt)=>{
        if(dt){
            return dayjs(dt).format(fmt||"YYYY-MM-DD");
        }
        return "";
    },
    formatTime:dt=>{
        if(dt){
            return dayjs(dt).format("HH:mm:ss");
        }
        return "";
    },
    formatDateTime:dt=>{
        if(dt){
            return dayjs(dt).format("YYYY-MM-DD HH:mm:ss");
        }
        return "";
    },
}

export default (vm)=>{
    Object.keys(filters).forEach(k=>{
        vm.filter(k,filters[k]);
    })
}